﻿body {
    padding-top: 1em;
    padding-bottom: 1em;
    /*min-width: 1128px;*/
}

/* Entête */

.divHeadSearch {
    position: relative;
    height: 3rem;
    padding-top: .5rem;
    padding-left: .25rem;
}


    .divHeadSearch .premier-plan {
        position: relative;
        z-index: 1000;
    }


    .divHeadSearch #txtCherche {
        padding-left: 1.5rem;
        font-size: 1.4rem;
    }




.divResultat {
    display: none; /* caché au départ */
    position: absolute;
    z-index: 100;
    left: 0px;
    padding-left: .5rem;
    padding-bottom: .5rem;
    max-height: 19em;
    min-height: 12rem;
    overflow-y: scroll;
    background-color: white;
}

/*#divResultatChercheRpt {
    border-style: solid;
    border-width: 1px;
    border-color: gainsboro;
    border-radius: 0.25em;
}*/



#divResultatCherche {
    top: 3rem;
}




.divResultat p {
    margin: .25em;
    padding: 0px;
}

    .divResultat p:hover {
        background-color: yellow;
        cursor: pointer;
    }




#divResultatChercheCJ a {
    color: black;
    text-decoration: none;
}


.divHeadSearch .Fermer,
#divChercheClient .Fermer,
#divChercheCJ .Fermer,
.divChercheSmartCJ .Fermer {
    display: none;
    position: absolute;
    z-index: 200;
    top: 3rem;
    right: 1.5rem;
    height: 1.5em;
    background-color: orangered;
    padding-left: .45em;
    padding: .5em;
    padding-top: 0.5em;
    padding-top: 0em;
    border-radius: 3px;
    color: white;
    cursor: pointer;
}


#divChercheClient .Fermer {
    right: 5rem;
}



/* Pied de page */
footer .btn {
    margin-right: .5rem;
}

@media (max-width: 1600px) {
    footer .btn {
        font-size: .85em;
    }
}




.divMessageErreur {
    position: fixed;
    bottom: 2rem;
    left: 0px;
    color: #FF3300;
    background-color: yellow;
    width: 99%;
    margin-top: .25em;
    padding-left: .5%;
    padding-right: .5%;
    border-radius: 8px;
}




    #divContenu {
        height: 40rem;
    }

    form.personne,
    form.client {
        padding-top: 1em;
    }

        form.personne input,
        label.solde {
            min-width: 3rem;
        }


    hr.separteur {
        border-color: white;
        height: 2px;
        width: 100%;
    }

    hr.separteur-cache {
        width: 100%;
        margin-top: 0px;
        margin-bottom: 9px;
    }


    .divListePersonne .entete {
        height: 3rem;
    }

    .divListePersonne .liste {
        height: 15rem;
        overflow-y: scroll;
    }


    .divListePersonne .entete {
        margin-right: 3em;
    }

        .divListePersonne .entete ul,
        .divListePersonne .liste ul {
            padding: 0px;
        }

        .divListePersonne .entete li {
            display: inline-block;
            width: 5.6%;
            /*background-color: red;*/
        }



    .divListePersonne .liste li {
        display: inline-block;
        width: 6%;
    }




    .divListePersonne .entete li {
        height: 3rem;
        vertical-align: text-top;
    }

        .divListePersonne .entete li.li-grand,
        .divListePersonne .liste .ligne li.li-grand {
            width: 15%;
        }


    .divListePersonne .liste .ligne li.valeur {
/*        text-align: right;
        padding-right: 3% !important*/
    }



    #divAjoutGroupeTravail {
        display: none;
    }



    /* Pied de page */


    .divAdressePointi {
        padding-top: 1rem;
        border-top: solid;
        border-color: #999999;
        border-width: 1px;
        line-height: 1.25;
    }


        .divAdressePointi p {
            font-size: 1em;
            margin-left: 1em;
        }

        .divAdressePointi a {
            font-size: 1em;
            color: #212529;
            text-decoration: none;
        }

            .divAdressePointi a:hover {
                text-decoration: underline;
            }

        .divAdressePointi .linkFB img {
            width: 1.5em;
        }

        .divAdressePointi img {
            width: 130%;
        }


    /* Personne */
    #lblSoldeActuel,
    #lblSoldeRattrapage,
    #lblSoldeHeureSup,
    #txtJourOuv,
    #txtHeureTravail,
    #txtJourOuv_travail,
    #txtHeureTravailFrm {
        border-color: red;
        cursor: not-allowed;
    }



    /* Vacances - Activités */


    /* sous formulaires cachés au départ */
    #SFormTravail,
    #SFormVacances {
        display: none;
    }


    #divVacancesJour,
    .divVacancesMoniteur {
        height: 20.5rem;
        margin-top: 1rem;
    }


    #divListeConge {
        position: relative;
    }

        #divListeConge ul {
            margin-bottom: 0rem;
            cursor: pointer;
        }

        .divListePersonne .entete li,
        #divListeConge li {
            padding: .2rem;
        }

    .ligne-conge:hover {
        text-decoration: underline;
    }

.form-group .multi2,
.multi2 {
    height: 3em;
    line-height: 1.2rem;
}

    .form-group .multi4 {
        height: 6em;
        line-height: 1.2rem;
    }

.divEffaceChercher {
    position: absolute;
    top: .4rem;
    right: 2rem;
}


    .divEffaceChercher a {
        color: darkgray;
        font-weight: 600;
        margin-right: .25em;
    }



/* Planning */
#divFiltrePlanning {
    min-height: 5rem;
    padding-top: .25rem;
}



.divCadrePlanning {
    position: relative;
    height: 35rem;
    overflow-y: scroll;
}

    .divCadrePlanning td.titremois {
        border: none;
        padding-left: .25rem;
        padding-top: 1rem;
        height: 2.75rem !important;
    }

    .divCadrePlanning td,
    .divVacancesMoniteur td {
        position: relative;
        border: 1px solid #C0C0C0;
        /*height: 26px;*/
        height: 1.9rem;
    }

        .divCadrePlanning td a,
        .divVacancesMoniteur td a {
            color: #212529;
            padding-left: 0.25rem;
        }


        .divCadrePlanning img.bloc,
        .divVacancesMoniteur img.bloc {
            width: 100%;
            /*height: 19px;*/
            height: 17px;
            margin-bottom: -4.5px;
            vertical-align: text-bottom;
        }

        .divCadrePlanning img.demi-fin,
        .divVacancesMoniteur img.demi-fin {
            width: 50%;
        }

        .divCadrePlanning img.demi-debut,
        .divVacancesMoniteur img.demi-debut {
            width: 50%;
            margin-left: 50%;
        }

    .divCadrePlanning img.demi-centre,
    .divVacancesMoniteur img.demi-centre {
        width: 50%;
        margin-left: 30%;
    }


    .divCadrePlanning img.demi-abs,
    .divVacancesMoniteur img.demi-abs {
        position: absolute;
        top: .74rem;
        left: 0px;
    }


.divVacancesMoniteur {
    position: relative;
    overflow: scroll
}

    .divVacancesMoniteur .surcouche {
        position: absolute;
        top: 1.5em;
        left: 0px;
    }

.divCadrePlanning .couche {
    position: relative;
    overflow-x: hidden;
    width: 100%;
    top: 0px;
    left: 0px;
}

.divCadrePlanning .surcouche {
    position: absolute;
    overflow-x: hidden;
    width: 100%;
    top: 0px;
    left: 0px;
}

    .divVacancesMoniteur .surcouche td,
    .divCadrePlanning .surcouche td {
        border: 0px solid #C0C0C0 !important;
        height: 26px;
    }


        .divVacancesMoniteur .surcouche td.c,
        .divCadrePlanning .surcouche td.c {
            text-align: center;
            height: 2.75rem !important;
            line-height: 1.2;
        }



.divCadrePlanning .couche .nompropre,
.divVacancesMoniteur .couche .nompropre {
    /*modif lst*/
    /*color: transparent;*/
}


.divCadrePlanning .pagepaysage {
    /*height: 54rem;*/
    height: 64rem;
}

.divCadrePlanning .nompropre,
.divVacancesMoniteur .nompropre {
    padding-left: .25rem;
}



#imgAttente {
    display: none;
    width: 3rem;
    position: absolute;
    top: 15rem;
    left: 40%;
    z-index: 2000;
}


    .mois {
        padding-right: 0px; /* annule le gutter donné par bootstrap pour la class col-1 */
        padding-left: 5px;
    }

        .mois ul {
            padding: 0px;
            margin-bottom: 0px;
        }

        .mois li {
            list-style: none;
        }

        .mois label {
            margin-bottom: 0px;
        }


    #divGroupeTravail {
        overflow-y: scroll;
        height: 4.9rem;
        padding-left: 3rem;
        line-height: 1.1em;
    }

        #divGroupeTravail .col-4 {
            padding-left: 0rem;
        }

        #divGroupeTravail ul {
            padding-left: 0px;
        }


        #divGroupeTravail li {
            list-style: none;
            display: inline-block;
            width: 8rem;
        }


    .echelletemps td.legende {
        font-size: .75rem;
    }

.divCadrePlanningJour .echelletemps {
    margin-top: 1rem;
}



/*largeur au minimum de 1201px - ente 1201 et l'infini  */
@media (min-width: 1301px) {
    #divGroupeTravail .col-4 {
            max-width: 31%; /* modif le class bootstrap pour laisser la place à la case à cocher*/
        }
    }






    /* Fériés */

    .divJourFerie .divChoixTableauFerie {
        height: 3rem;
        padding-top: .5rem;
    }

    .divJourFerie .divListeFerie {
        height: 27rem;
        overflow-y: scroll;
    }

    .divJourFerie .divDetailFerie {
        height: 7rem;
    }


    .divJourFerie .divListeFerie .entete ul,
    .divJourFerie .divListeFerie .liste ul {
        padding: 0px;
    }

    .divJourFerie .divListeFerie .liste ul {
        margin: 0px;
    }

    .divJourFerie .divListeFerie .entete li,
    .divJourFerie .divListeFerie .liste li {
        display: inline-block;
        width: 18%;
        padding-left: 0.25em;
        cursor: pointer;
    }


    /* Envoi par mail */

    #MsgModalEnvoiMail #divListePersonne {
        max-height: 14rem;
        overflow-y: scroll;
        font-size: .85rem;
    }

    #MsgModalEnvoiMail #divListePersonneHead {
        margin-top: 1rem;
        font-size: .85rem;
    }

        #MsgModalEnvoiMail #divListePersonneHead ul,
        #MsgModalEnvoiMail #divListePersonne ul {
            padding: 0px;
            list-style-type: none;
        }

        #MsgModalEnvoiMail #divListePersonne .label1,
        #MsgModalEnvoiMail #divListePersonneHead .label1,
        #MsgModalEnvoiMail #divListePersonne .label2,
        #MsgModalEnvoiMail #divListePersonneHead .label2,
        #MsgModalEnvoiMail #divListePersonne .label3,
        #MsgModalEnvoiMail #divListePersonneHead .label3 {
            width: 28%;
            height: 1.25rem;
            overflow: hidden;
            margin-left: 2%;
            margin-bottom: 0px;
        }

        #MsgModalEnvoiMail #divListePersonneHead .label1 {
            margin-left: -0.25%;
            margin-right: 4%;
        }

        #MsgModalEnvoiMail #divListePersonneHead a {
            display: inline-block;
            text-decoration: none;
            font-size: 1rem;
            color: black;
        }

            #MsgModalEnvoiMail #divListePersonneHead a:hover {
                text-decoration: underline;
            }



    /*Rapport de travail*/
    #DlgRapportTravail {
        width: 100%;
    }

        #DlgRapportTravail #linkRapportActivite {
            width: 50%;
            margin-right: 25%;
        }




/*Légende sur les blocs des Congés*/
.div_lb {
    position: absolute;
    z-index: 100;
    top: -0.3rem;
    left: 0.1rem;
    height: 1.70rem;
    overflow: hidden;
    font-size: .9rem;
    color: #212529;
    text-shadow: 1px 1px #FFFFFF;
}

.cell_lb {
    position: relative;
}

.div_lb_h {
    top: -0.2rem;
}



/*nom du jour de la semaine*/
.cell_jour {
    display: block;
    font-size: .75em;
}


#divReportAnnuel {
    position: relative;
    width: 100%;
    bottom: 8em;
    left: 0px;
    background-color: lightgoldenrodyellow;
    padding: .5em;
}


#divPlanificationHebdo {
    position: absolute;
    width: 100%;
    bottom: 2rem;
    background-color: lightgoldenrodyellow;
    padding: .5em;
}

    #divPlanificationHebdo .divListePanification {
        height: 15rem;
        overflow-y: scroll;
        overflow-x: hidden;
    }

        #divPlanificationHebdo .divListePanification .temoin {
            color: forestgreen;
            width: 1rem;
            font-weight: 500;
        }


/* arroundi */
.radius {
border-top-right-radius: 4px;
border-bottom-right-radius: 4px;
}


/* home - changement pwd */
#linkChangePwd {
    font-size: .9em;
    text-decoration: none;
    color: #333;
}

    #linkChangePwd:hover {
        text-decoration: underline;
    }